Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmDependencyConflict_s Struct Reference

Dependency problems found by rpmdepCheck(). More...

`#include <rpmlib.h>`

## Public Types

enum | { RPMDEP_SENSE_REQUIRES, RPMDEP_SENSE_CONFLICTS }

## Data Fields

const char * | byName
const char * | byVersion
const char * | byRelease
Header | byHeader
const char * | needsName
const char * | needsVersion
int | needsFlags
const void ** | suggestedPackages
enum rpmDependencyConflict_s:: { ... } | sense

## Detailed Description

Dependency problems found by rpmdepCheck().

Definition at line 1003 of file rpmlib.h.

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  RPMDEP_SENSE_REQUIRES | requirement not satisfied.
  RPMDEP_SENSE_CONFLICTS | conflict was found.

Definition at line 1016 of file rpmlib.h.

## Field Documentation

Header rpmDependencyConflict_s::byHeader

| header with dependency problems Definition at line 1007 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

const char* rpmDependencyConflict_s::byName

| package name Definition at line 1004 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

const char* rpmDependencyConflict_s::byRelease

| package release Definition at line 1006 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

const char* rpmDependencyConflict_s::byVersion

| package version Definition at line 1005 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

int rpmDependencyConflict_s::needsFlags

| dependency flags Definition at line 1014 of file rpmlib.h. Referenced by checkPackageDeps, and printDepProblems.

const char* rpmDependencyConflict_s::needsName

| dependency name Definition at line 1012 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

const char* rpmDependencyConflict_s::needsVersion

| dependency epoch:version-release Definition at line 1013 of file rpmlib.h. Referenced by checkPackageDeps, and rpmdepFreeConflicts.

enum { ... } rpmDependencyConflict_s::sense

| Referenced by checkPackageDeps, and printDepProblems.

const void** rpmDependencyConflict_s::suggestedPackages

| Definition at line 1015 of file rpmlib.h. Referenced by checkPackageDeps, rpmdepFreeConflicts, and rpmtransDepCheck.

The documentation for this struct was generated from the following file:

- lib/rpmlib.h